<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Mirza Blog
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="post-item">
		<div class="entry-container">
			<header class="entry-header">
				<div class="entry-meta">
					<?php mirza_blog_entry_meta(); ?>
				</div><!-- .entry-meta -->

				<?php
				if ( is_single() ) :
					the_title( '<h1 class="entry-title">', '</h1>' );
				else :
					the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
				endif; ?>

				<?php mirza_blog_comments_only(); ?>
			</header><!-- .entry-header -->

			<?php if ( has_post_thumbnail() ) { ?>
				<figure>
				    <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a>
				</figure>
			<?php } ?>

			<div class="entry-content">
				<?php the_excerpt(); ?>
			</div><!-- .entry-content -->

			<?php $readmore_text = mirza_blog_get_option( 'readmore_text' );?>
			<div class="read-more">
				<a class="more-link" href="<?php the_permalink();?>"><?php echo esc_html($readmore_text);?></a>
			</div><!-- .read-more -->

			<?php if ( 'post' === get_post_type() ) : ?>
				<div class="entry-meta clear">
					<?php mirza_blog_posted_on();
					mirza_blog_author_only(); ?>
				</div><!-- .entry-meta -->
			<?php endif; ?>
		</div><!-- .entry-container -->
	</div><!-- .post-item -->
</article><!-- #post-## -->
